package com.ruoyi.project.mapper;

import com.ruoyi.project.bo.ProjectListInput;
import com.ruoyi.project.bo.ProjectTaskListOut;
import com.ruoyi.project.domain.ProjectTask;

import java.util.List;

public interface ProjectTaskMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ProjectTask record);

    int insertSelective(ProjectTask record);

    ProjectTask selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ProjectTask record);

    int updateByPrimaryKey(ProjectTask record);

    void updateStaffName(Long pid);

    List<ProjectTaskListOut> selectList(ProjectListInput in);
}
